a<-c(1,2,3,4,5,6,7,8,9,1,2,3,4,5,6,7,8,9)
b=matrix(a,nrow=2,ncol=9)
matrix(a)

#table 1 2001
#    Tissue volume    ,  Tissue Composition (Volume Fraction of Wet Tissue Weigt)
#    Fraction of Body ,     Water     , Neutral Lipids  , Phospholipids   , Extracellular
#     Weight   L/kg   ,       V_w     ,       V_nl      ,      V_ph       , (interstitial)
#                                                                         , space (V_eis)
#   Rat       Human      Rat   Human     Rat    Human      Rat    Human     Rat  
a<-c(
  0        ,        0 , 0.77  , 0     ,  0.0117, 0      ,  0.0141, 0      , 0    ,  #Heart tabII_2000
  0.0761   , 0.11957  , 0.12  , 0.18  , 0.853  , 0.79   , 0.002  , 0.002  , 0.175,  #Adipose
  0.041476 , 0.085629 , 0.446 , 0.439 , 0.0273 , 0.074  , 0.0027 , 0.0011 , 0.42,   #Bone
  0.0057   , 0.02     , 0.788 , 0.77  , 0.0392 , 0.051  , 0.0533 , 0.0565 , 0.162,  #Brain
  0.027    , 0.0171   , 0.749 , 0.718 , 0.0292 , 0.0487 , 0.0138 , 0.0163 , 0.39,   #Gut
  0.0033   , 0.0047   , 0.779 , 0.758 , 0.014  , 0.0115 , 0.0118 , 0.0166 , 0.156,  #Heart
  0.0073   , 0.0044   , 0.771 , 0.783 , 0.0123 , 0.0207 , 0.0284 , 0.0162 , 0.346,  #Kidney
  0.0366   , 0.026    , 0.705 , 0.751 , 0.0138 , 0.0348 , 0.0303 , 0.0252 , 0.159,  #Liver
  0.005    , 0.0076   , 0.79  , 0.811 , 0.0219 , 0.003  , 0.014  , 0.009  , 0.484,  #Lung
  0.404    , 0.40     , 0.756 , 0.76  , 0.01   , 0.0238 , 0.009  , 0.0072 , 0.115,  #Muscle
  0.190    , 0.0371   , 0.651 , 0.718 , 0239   , 0.0284 , 0.018  , 0.0111 , 0.462,  #Skin
  0.002    , 0.0026   , 0.771 , 0.788 , 0.0077 , 0.0201 , 0.0136 , 0.0198 , 0.264,  #Spleen
  0.0449   , 0.0424   , 0.96  , 0.945 , 0.00147, 0.0035 , 0.00083, 0.00225, 1.0)    #Plasma
plasma<-c(0.0449   , 0.0424   , 0.96  , 0.945 , 0.00147, 0.0035 , 0.00083, 0.00225, 1.0)    #Plasma
A_mat<-matrix(a, nrow=9)
tab1_01<-t(A_mat)

#table 1 2000
#drug specific parameter
#Log K vo:w  , fup
b<-c(
  0.78   , 0.92,#N-Acetylprocainamide
  2.09   , 0.16,#Alfentanil
  -0.59  , 0.93,#Barbital
  3.36   , 0.39,#Biperiden
  3.58   , 0.50,#Bromperidol
  -1.95  , 0.14,#Cefazolin
  -3.07  , 0.90,#Ceftazidime
  5.48   , 0.10,#Chlorpromazine
  1.84   , 0.50,#Clobazam
  4.95   , 0.07,#Clomipramine
  3.58   , 0.03,#Clotiazepam
  3.29   , 0.50,#Clozapine
  -0.25  , 0.97,#Cotinine
  3.02   , 0.09,#Diazepam
  1.78   , 0.05,#2,4-Dichlorophenoxyacetic acid
  1.89   , 0.03,#Dicloxacillin
  -2.67  , 0.98,#2,3-Dideoxyinosine
  0.075  , 0.87,#Digoxin
  -0.46  , 0.91,#Ethoxybenzamide
  4.21   , 0.17,#Fentanyl
  -1.04  , 0.75,#Fleroxacin
  3.48   , 0.50,#Fluphenazine
  3.27   , 0.50,#Flurazepam
  6.27   , 0.05,#Glycyrrhetinic acid
  1.77   , 0.05,#Glycyrrhizin
  2.24   , 0.23,#Haloperidol
  0.87   , 0.70,#Hexobarbital
  2.05   , 0.18,#n-Hexylbarbital
  4.92   , 0.50,#Medazepam
  0.031  , 0.83,#Methicillin
  -3.34  , 0.50,#Methotrexate
  2.69   , 0.50,#N-Methylpentobarbital
  -2.75  , 0.14,#Miloxacin
  -2.13  , 0.50,#Neostigmine
  0.98   , 0.95,#Nicotine
  2.15   , 0.17,#Nitrazepam
  3.23   , 0.01,#n-Nonylbarbital
  -2.44  , 0.58,#Norfloxacin
  -1.01  , 0.80,#Pefloxacin
  -4.62  , 0.15,#Penicillin
  2.33   , 0.47,#Pentazoein
  0.76   , 0.66,#Pentobarbital
  0      , 0.78,#Phenobarbital
  0.96   , 0.06,#Penytoin
  2.81   , 0.03,#p-Phenylbenzoic acid
  -3.67  , 0.85,#Pipemidic acid
  4.11   , 0.50,#Prazepam
  0.47   , 0.23,#Prednisolone
  0.72   , 0.92,#Procainamide
  4.77   , 0.50,#Promazine
  5.06   , 0.22,#Promethazine
  2.86   , 0.03,#Propofol
  2.24   , 0.08,#Propranolol
  -3.73  , 0.50,#Pyridostigmine
  5.61   , 0.10,#trans-Retinoic acid
  1      , 0.40,#Salicylic acid
  3.96   , 0.50,#Tetrachlorodibenzo-p-dioxin
  -2.74  , 0.50,#Tetracycline
  -0.35  , 0.50,#Theophyllin
  0.36   , 0.50,#Thiobarbital
  1.80   , 0.25,#Thiopental
  6.28   , 0.50,#Thioridazine
  1.26   , 0.24,#Tolbutamide
  3.62   , 0.37,#Trihexylphenidil
  1.71   , 0.22#Valproic acid
  )
B_mat<-matrix(b,nrow=2)
tab1_00<-t(B_mat)

#Variante A
#formel_41:
zaehler_41<-(1/(2*fu_p)+1/2)*V_wt+P_ow*V_nlt+(0.3*P_ow+0.7)*V_npt
nenner_41<-(1/fu_p)*V_wp+P_ow*V_nlp+(0.3*P_ow+0.7)*V_npp
k_tp_41<-zaehler_41/nenner_41

#formel_42:
zaehler_42<-V_wt+P_vow+(0.3*P_vow+0.7)*V_npt
nenner_42<-(1/fu_p)*V_wp+P_vow*V_nlp+(0.3*P_vow+0.7)*V_npp
K_tp_42<-Zaehler_42/nenner_42

#Variante B
#formel 39 (for non adipose tissue)
fu_t<-1/((1/(2*fu_p)+0.5)*V_wtt+P_ow+V_nlt+(0.3*P_ow+0.7)*V_npt)
#formel 40 (for adipose tissue)
fu_t<-1/(V_wtt+P_vow*V_nlt+(0.3*P:vow+0.7)*V_npt)

#notwendige P_ow aus Tabelle II 2001
#werte sind log(P_ow)
P_ow<-c(#acids
  0.46,#Acetaminophen
  -0.26,#Acetazolamide
  6.40,#Acitretin
  -1.85,#Ascorbic acid
  0.08,#Methyl-ethyl barbiturate
  1.73,#Butyl-ethylbarbitureate
  2.24,#Pentyl-ethylbarbiturate
  2.46,#Hexyl-ethylbarbiturate
  2.91,#Heptyl-ethylbarbiturate
  4.00,#Nonyl-ethylbarbiturate
  0.34,#Captopril
  -1.24,#Dideoxyinosine
  -0.70,#Isoniazid
  1.69,#Mephenytoin
  -0.02,#Metronidazole
  2.10,#Pentobarbital
  1.47,#Phenobarbital
  1.28,#Prazosin
  6.97,#Tetrahydrocannabinol
  2.85,#Thiopental
  #Bases
  1.71,#Acebutolol
  -1.56,#Acyclovir
  2.16,#Alfentanil
  3.34,#Alprenolol
  2.85,#Amsacrine
  1.83,#Atropine
  -0.07,#Caffeine
  4.19,#Carvedilol
  3.38,#Chlorpheniramine
  0.40,#Cimetidine
  2.41,#Clonazepam
  2.30,#Cocaine
  2.99,#Diazepam
  2.84,#Diltiazem
  3.27,#Diphenhydramine
  2.89,#Epiroprim
  3.05,#Etomidate
  4.05,#Fentanyl
  -1.88,#Gentamicin
  3.29,#Ketanserin
  2.44,#Lidocaine
  2.39,#Lorazepam
  4.85,#Lorcainide
  4.49,#Mefloquine (S+)
  2.72,#Meperidine
  1.95,#Mepivacaine
  2.70,#Meptazinol
  3.93,#Methadone
  3.86,#Mibefradil
  2.95,#Midazolam
  0.89,#Morphine
  1.17,#Nicotine
  2.23,#Nitrazepam
  2.24,#Oxazepam
  3.31,#Pentazocine
  4.96,#Phencyclidine
  2.11,#Prilocaine
  3.37,#(Propafenone
  3.20,#Propranolol
  3.44,#Quinidine
  1.36,#(Sematilide)
  2.75,#Sildenafil
  0.24,#Sotalol
  0.57,#Sulpiride
  -0.02,#Theophylline
  3.79,#Verapamil
  #Neutrals
  0.61,#2-Butanol
  0.35,#t-Butyl alcohol
  1.68,#Cloprednol
  1.39,#Coumarin
  0.63,#Cyclophosphamide
  2.92,#Cyclosporin
  -2.51,#Cytosine arabinoside
  1.85,#Digitoxin
  1.26,#Digoxin
  0.33,#Enprofylline
  -0.31,#Ehanol
  0.77,#Ehtoxybenzamide
  -1.36,#Ehylene glycol
  7.97,#(Etretinate)
  2.18,#Griseofulvin
  1.61,#Hydrocortisone
  1.82,#Methylprednisolone
  1.62,#Prednisolone
  3.79,#Propofol
  1.48,#(Quercetin)
  2.10,#Remoxipride
  0.53,#Thiopeta
  2.65#Toluene
  )

d<- c(#P_o:w, fu_p
  6.4,0.01,#Acitretin
  -1.24,0.965)#Dideoxyinosine

D_mat<-matrix(d,nrow=2)
tab2_01<-t(D_mat)
  

b_min<-tab1_00-0.009
b_max<-tab1_00+0.009


x<-1:2 #drug      #hier nur einen wert fr ein medikament
y<-1 #tissue      #hier vektor aller organe (fuer vss)
z<-0 #0=rat, 1=human
#es folgen ein paar leicht abgewandelte varianten der gleichen formel
zaehler1<-(1/(2*tab1_00[x,2])+0.5)*tab1_01[y,z+3]+exp(tab1_00[x,1])*tab1_01[y,z+5]+(0.3*exp(tab1_00[x,1])+0.7)*tab1_01[y,z+7]
zaehler2<-(1/(2*tab1_00[x,2])+0.5)*tab1_01[y,z+3]+(10^tab1_00[x,1])*tab1_01[y,z+5]+(0.3*(10^tab1_00[x,1])+0.7)*tab1_01[y,z+7]
zaehler2_min<-(1/(2*b_min[x,2])+0.5)*tab1_01[y,z+3]+(10^b_min[x,1])*tab1_01[y,z+5]+(0.3*(10^b_min[x,1])+0.7)*tab1_01[y,z+7]
zaehler2_max<-(1/(2*b_max[x,2])+0.5)*tab1_01[y,z+3]+(10^b_max[x,1])*tab1_01[y,z+5]+(0.3*(10^b_max[x,1])+0.7)*tab1_01[y,z+7]
zaehler3<-tab1_01[y,z+3]+(10^tab1_00[x,1])*tab1_01[y,z+5]+(0.3*(10^tab1_00[x,1])+0.7)*tab1_01[y,z+7]


nenner1<-(1/tab1_00[x,2])*plasma[z+3]+exp(tab1_00[x,1])*plasma[z+5]+(0.3*exp(tab1_00[x,1])+0.7)*plasma[z+7]
nenner2<-(1/tab1_00[x,2])*plasma[z+3]+(10^tab1_00[x,1])*plasma[z+5]+(0.3*(10^tab1_00[x,1])+0.7)*plasma[z+7]
nenner2_min<-(1/b_min[x,2])*plasma[z+3]+(10^b_min[x,1])*plasma[z+5]+(0.3*(10^b_min[x,1])+0.7)*plasma[z+7]
nenner2_max<-(1/b_max[x,2])*plasma[z+3]+(10^b_max[x,1])*plasma[z+5]+(0.3*(10^b_max[x,1])+0.7)*plasma[z+7]
nenner3<-plasma[z+3]+(10^tab1_00[x,1])*plasma[z+5]+(0.3*(10^tab1_00[x,1])+0.7)*plasma[z+7]



K_tp<-zaehler1/nenner1
K_tp2<-zaehler2/nenner2
K_tp3<-(zaehler3/nenner3)*(tab1_00[x,2]+1)/2
t(K_tp3)
t(K_tp2)

K_tp2_min<-zaehler2_min/nenner2_min
K_tp2_max<-zaehler2_max/nenner2_max

zaehlerVss<-(1/(2*tab2_01[x,2])+0.5)*tab1_01[y,z+3]+(10^tab2_01[x,1])*tab1_01[y,z+5]+(0.3*(10^tab2_01[x,1])+0.7)*tab1_01[y,z+7]
nennerVss<-(1/tab2_01[x,2])*plasma[z+3]+(10^tab2_01[x,1])*plasma[z+5]+(0.3*(10^tab2_01[x,1])+0.7)*plasma[z+7]
K_tpVss<-zaehlerVss/nennerVss

Ht<-0.45
B_P<-t(c(1,1))
V_e<-0.0367
V_p<-0.0449
V_t<-0.0761

E_P<-(B_P-(1-Ht))/Ht
Vss<-(V_t*K_tpVss)+(V_e*E_P)+V_p     #summe ueber alle organe anpassen
Vss
